<?php
/*************************************************************************************
 * cpp.php
 * -------
 * Author: Tanguy Pruvot (tanguy.pruvot@gmail.com)
 * GeSHi Release Version: 1.0.7.21
 * Date Started: 2008/04/13
 *
 * WLangage language file for GeSHi.
 *
 * CHANGES
 * -------
 * 2008/12/10 (0.3.10) Windev 10/12
 *  - Retrait de doublons
 *  - Ajout de quelques constantes (DepuisFin)
 *  - Ajout des nouveaux opérateurs _ET_ _A_ _OU_
 *  - Type (entier) système
 *  - Probleme fonction Position
 * 
 * 2008/04/18 (0.2.10) Windev 10
 *  - Ajout des valeurs Hexadécimales
 *  - Ajout de quelques constantes (indxxx)
 *  - Mise en commentaire des propriétés (detectées par regexp) 
 *    Note : Pour gérer les accents des propriétés une petite modif est nécessaire dans geshi.php
 *           Rechercher : // Highlight methods and fields in objects        
 *           Remplacer la dernière ligne par en vérifiant que le format du fichier est dans le meme format que celui ci (UTF-8 ou non):
 *             $stuff_to_parse = preg_replace("/(" . preg_quote($this->language_data['OBJECT_SPLITTERS'][$key], 1) . "[\s]*)([a-zA-Z\*\(][a-zA-Zéèàâî0-9_\*]*)/", "\\1<|$attributes>\\2|>", $stuff_to_parse);
 *
 * 2008/04/14 (0.1.10) Windev 10
 *  -  Fonctions/Proprietes/Keywords Windev 10 (pas toutes les nouvelles constantes)
 * 2008/04/13 (0.1.9) Windev 9
 *  -  First Release
 *
 *************************************************************************************
 *
 *     This file is part of GeSHi.
 *
 *   GeSHi is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   GeSHi is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with GeSHi; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 ************************************************************************************/

$language_data = array (
  'LANG_NAME' => 'Windev 10',
  'COMMENT_SINGLE' => array(1 => '//'),
  'COMMENT_MULTI' => array(),
  'CASE_KEYWORDS' => GESHI_CAPS_NO_CHANGE,
  'QUOTEMARKS' => array("'", '"'),
  'ESCAPE_CHAR' => '',
  'KEYWORDS' => array(
    1 => array(     
      'WL',
      
      'sont','is','est','by','par','on','sur','of','de','des','a','an','un','une','are',
      'with','doubles','double','courts','short','court','longs','long','real_55','réel_55',
      'reel_55','int_55','entier_55','arrays','tableaux','array','tableau','characters',
      'caractères','caracteres','character','caractère','strings','chaînes','chaines','string',
      'chaîne','chaine','Pascal','ASCIIZ','fixes','fixed','fixe','currencies','monétaires',
      'monetaires','currency','monétaire','reals','réels','reels','real','réel','reel',
      'entiers','int','entier','booleans','booléens','booleens','boolean','booléen','booleen',
      'unsigned','sans','signe','composée','composee','composed','composé','compose','bytes',
      'octets','byte','octet','OLE','automation','DateHeure','DateHeures','Date','Dates',
      'Heure','Heures','Durée','Duree','Durées','Police','Variant','class','classe','structure',
      
      'systeme','système',
      
      'modulo','EXTERN','EXTERNE','EXCEPTION','WHERE','AVEC','ALL','TOUTE','TOUS','TOUT',
      'STEP','GOTO','CONTINUE','CONTINUER','BREAK','SORTIR','FOR','POUR','WHILE','TANTQUE',
      'LOOP','BOUCLE','THEN','ALORS','IF','SI','ELSE','SINON','END','FIN','DO','FAIRE',
      'TO','A','IN','DANS','WHEN','QUAND','STOP','AUTRES','OTHER','AUTRE','CASE','CAS',
      'SWITCH','SELON','RETURN','RETOUR','RESULT','RENVOYER','FUNCTION','FONCTION','PROCEDURE',
      'VIRTUELLE','VIRTUAL','PROTÉGÉE','PROTECTED','PROTÉGÉ','PRIVÉE','PRIVATE','PRIVÉ',
      'PUBLIQUE','PUBLIC','LOCALES','LOCALE','LOCAL','GLOBALES','GLOBALE','GLOBAL','CONSTANTE',
      'CONSTANT','delete','libérer','liberer','new','allouer','static','statique','dynamiques',
      'dynamic','dynamique','inherits','hérite','Destructor','Destructeur','Constructor',
      'system',
      
      'NOT','PAS','OR','OU','AND','ET',

      '_A_','_OU_','_ET_',
      '_TO_','_OR_','_AND_',
      
      'CHAQUE','LIGNE','ELEMENT','SELECTIONNEE','DE','CHAINE','STRING','OF'     
      ),
    2 => array(
      'CRLF','EOT','ESC','ESP','Faux','NULL','RC','TAB','Vrai','False','CR','LF','ValPI','True',

      'indChamp','indConnexion','indEtat','indFenêtre','indFichier','indGPW','indLiaison',
      'indParamètreRequête','indRubrique','indVariable','indPage',      
      'indControl','indConnection','indReport','indWindow','indFile','indLink','indQueryParameter','indItem',     

      'grAbscisse','grADroite','grAfficheEtiquette','grAffichePourcentage','grAfficheValeur',
      'grAfficheValeurSiNulle','grAGauche','grBarCharts','grBulleActive','grChandelier',
      'grCourbe','grEnBas','grEnHaut','grFormatBulleBoursier','grFormatBulleNuage','grFormatBulleSecteur',
      'grFormatBulle','grHisto','grHistoEmpilé','grMasquePourcentage','grMasqueValeur',
      'grMinMax','grNuage','grOrdonnée','grSans','grSecteur','grHisto3D','grHorizontal',
      'grXCoordinate','grAtRight','grShowLabel','grShowPercent','grShowValue','grShowValueIfNull',
      'grAtLeft','grShowTooltip','grCandleStick','grCurve','grAtBottom','grAtTop',
      'grTooltipFormatStock','grTooltipFormatScatter','grTooltipFormatPie','grTooltipFormat',
      'grColumn','grColumnPile','grMaskPercent','grMaskValue','grScatter','grYCoordinate',
      'ccMajuscule','ccMinuscule','ccNormal','ccOrdreLexicographique','ccSansAccent','ccSansCasse',
      'ccUpCase','ccLowCase','ccLexicographicOrder','ccIgnoreAccent','ccIgnoreCasse',
      'iBlanc','iNoir','iGrisFoncé','iGrisClair','iRougeFoncé','iRougeClair',
      'iJauneFoncé','iJauneClair','iJauneBulle','iVertFoncé','iVertClair','iBleuFoncé',
      'iBleuClair','iCyanFoncé','iCyanClair','iMagentaFoncé','iMagentaClair','iSystème',
      'iWhite','iTransparent','iBlack','iDarkGray','iLightGray','iDarkRed','iLightRed',
      'iDarkYellow','iLightYellow','iYellowToolhelp','iDarkGreen','iLightGreen','iDarkBlue',
      'iLightBlue','iDarkCyan','iLightCyan','iDarkMagenta','iLightMagenta','iSystem','iDefaultColor',
      'cpScreen','cpWindow','DDEActif','DDEAExécuter','DDEALier','DDEAModifier','DDEARecevoir',
      'DDEActive','DDEtoExecute','DDEtoLink','DDEtoModify','DDEtoReceive','DDEtoAnswer',
      'copieDstInverse','copieEcran','copieFusionCopie','copieFusionPeint','copiePasSrcCopie',
      'copiePasSrcEfface','copiePatCopie','copiePatInverse','copiePatPeint','copieSrcCopie',
      'copieSrcEfface','copieSrcEt','copieSrcInverse','copieSrcPeint','copieToutBlanc',
      'copyDstInvert','copyScreen','copyMergeCopy','copyMergePaint','copyNotSrcCopy','copyNotSrcErase',
      'copyPatCopy','copyPatInvert','copyPatPaint','copySrcCopy','copySrcErase','copySrcAnd',

      'hOLectureEcriture','hOLecture','hOReadWrite','hORead',
      
      'MaSource','ReturnWDKey','RenvoieWDTouche',
      'Ancestor','Ancêtre','MyParent','MonParent','MyReport','MonEtat','MyPage','MaPage',
      'MyWindow','MaFenêtre','WDKey','WDTouche','MySelf','MoiMême','DescribedLogDirectory',
      'RépertoireJournalDécrit','DescribedReplicationDirectory','RépertoireRéplicationDécrit',
      'DescribedOperationLogDirectory','RépertoireJournalOpérationDécrit','palm','Catégorie',
      '..Position','Category','palmTâche','Achevé','Description','DateEchéance',
      'Note','Priorité','palmTask','Completed','DeadLine','Notes','Priority',
      'palmAgenda','AlarmeType','AlarmeValeur','..Date','HeureDébut','HeureFin',
      'RépétitionDateFin','RépétitionExceptions','RépétitionInterval','RépétitionJours',
      'RépétitionNumSemaine','RépétitionType','SansHoraire','palmOrganizer','AlarmType',
      'AlarmValue','StartTime','EndTime','EndDateRepetition',
      'ExceptionsRepetition','IntervalRepetition','DaysRepetition','WeekNumRepetition',
      'RepetitionType','NoTime','palmAdresse','Adresse','CodePostal','Contact','Définir',
      'Département','Fonction','Nom','NumContactPrincipal','Pays','Prénom','Société',
      'TypeContact','Ville','palmAddress','Address','ZipCode','Define','State',
      'Title','Name','MainContactNum','Country','FirstName','Company','ContactType',
      'City','palmMémo','Donnée','palmMemo','Data','RPL','AliasDestination','AliasSource',
      'Conflit','Fichier','MaxOperation','NumOperation','Opération','Sens','TargetAlias',
      'SourceAlias','Conflict','File','OperationMax','OperationNum','Operation','Direction',
      'HTTP.IgnoreErreur','J2EE',
      'Type','XMLParam','EncodingStyle','Value','DotNet','NameSpace',
      'ParamXML','StyleEncodage','Valeur',
      'SOAP',
      'Fax',
      'Recipient','Email.AdresseExpéditeur','Attache','AttacheContentDescription','AttacheContentType',
      'Cc','Cci','DateRéception','Destinataire','*EnDehors*','.Erreur','Expéditeur','HTML',
      'IdentifiantAttache','IdentifiantMail','.Message','NbAttache','NbBcc','NbCc','NbDestinataire',
      'Source','Sujet','SenderAddress','Attach','AttachContentDescription','AttachContentType',
      'Bcc','ReceiveDate','Out','.Error','Sender','AttachIdentifier','MailIdentifier',
      'NbAttach','NbRecipient','Subject','_EVE','hWnd','lParam','nom','Retour',
      'wMessage','wParam','name','Return',
      
      /* Windev 10 */
      
      'alphabetAnsi','alphabetArabe','alphabetBalte','alphabetChinois','alphabetChinoisTraditionnel',
      'alphabetCoréen','alphabetCourant','alphabetDéfaut','alphabetEuropeEst','alphabetGrec',
      'alphabetHébreu','alphabetJaponais','alphabetRusse','alphabetThaï','alphabetTurc',
      'alphabetUTF8','alphabetVietnamien','bulleDuréeAffichage','bulleDuréeAvantOuverture',
      
      'cisAbsent','cisLoaded','cisVersionTooOld','cisVersionTooRecent','charsetAnsi','charsetArabic',
      'charsetBaltic','charsetChinese','charsetTraditionalChinese','charsetKorean','charsetCurrent',
      'charsetDefault','charsetEastEurope','charsetGreek','charsetHebrew','charsetJapanese',
      'charsetRussian','charsetThai','charsetTurkish','charsetUTF8','charsetVietnamese',
      'tooltipDelayDisplay','tooltipDelayBeforeOpening',
      
      'DepuisFin',
      
      'srSystème'
      ),
    3 => array(
      
      'Abs','ActiveXEvénement','AnsiVersOem','AppelDLL','AppelDLL32','AppelDLLLong','ArbreAjoute',
      'ArbreDéplaceElément','ArbreDéroule','ArbreEnroule','ArbreEtat','ArbreInsère','ArbreListeFils',
      'ArbreModifie','ArbreOccurrence','ArbrePosition','ArbreRécupèreFils',
      'ArbreRécupèreIdentifiant','ArbreSelect','ArbreSelectPlus','ArbreSupprime','ArbreSupprimeTout',
      'ArbreTri','ArbreTypeElément','ArcCosinus','ArcSinus','ArcTang','Arrondi','Asc','AscenseurAffiche',
      'BinaireCharge','BinaireInfo','BinaireSauve','Bip','BulleActive','Caract','ChaineVersDate',
      'ChampAlias','ChampContextuel','ChampEnCours','ChampSansEspace',
      'ChampSuivant','ChargeDLL','ChargeErreur','ChargeImage','ChargeProcedure','ChargeWDL',
      'ColonneEnCours','Compile','Complete','Confirmer','Convert','Cosinus','CoTang','CouleurSélection',
      'Crypte','CrypteMsgErreur','CurseurCapture','CurseurPos','dArc','DateDifférence',
      'DateHeureDifférence','DateSys','DateValide','DateVersChaine','DateVersEntier',
      'dCercle','dCopieImage','dCorde','dDebutDessin','dDébutDessin','DDEChaine','DDEConnecte',
      'DDECr','DDEDeconnecte','DDEDéconnecte','DDEEnvoie','DDEEvenement','DDEEvénement',
      'DDEExecute','DDEFinLien','DDEItem','DDELance','DDELien','DDELienTiede','DDEModifie',
      'DDERecupere','DDERécupère','DechargeDLL','DéchargeDLL','DechargeProcedure','DéchargeProcédure',
      'DechargeWDL','DéchargeWDL','Decrypte','Décrypte','dFinDessin','dFond','Dimension',
      'dLigne','DnDAccepte','DnDCurseur','DnDDonne','DnDDonneeDisponible','DnDDonnéeDisponible',
      'DnDEvenement','DnDEvénement','DnDImpose','DnDRecupere','DnDRécupère','dPixelCouleur',
      'dPoint','dPolice','dPolygone','dPortion','dRectangle','dRemplissage','Droite','dSauveImage',
      'dStylo','dTexte','eChangeDevise','EcranPremier','EcranVersFichier','eDeviseAffParDéfaut',
      'eDeviseMemParDefaut','eDifférenceArrondi','eInitDevise','EmailEnvoieMessage','EmailFermeSession',
      'EmailLitDernier','EmailLitMessage','EmailLitPrécédent','EmailLitPremier','EmailLitSuivant',
      'EmailMiseAJour','EmailMsgErreur','EmailNbMessage','EmailOuvreSession',
      'EMailSauveFichierAttache','EMailSauveFichierAttaché','EmailSupprimeMessage',
      'EnModeTest','EnModeWEB','eNomDevise','EntierVersDate','EntierVersHeure','EntierVersJour',
      'EntierVersJourEnLettre','EntierVersMoisEnLettre','EntierVersNumeroDeSemaine','EntierVersNuméroDeSemaine',
      'EnvironnementDOS','EnvoieTouche','Erreur','EspaceSignificatif','EstImpair','EstPair',
      'eTauxDeChange','ETBinaire','Evenement','eVersDevise','eVersEuro','Execute','Exécute',
      'ExeLancé','Exp','ExplorerAccepte','ExplorerRecupere','ExplorerRécupère','ExtraitChaine',
      'fAttribut','fBloque','fCheminCourt','fCompacte','fCompare','fCopieFichier','fCree',
      'fCrée','fCrypte','fDate','fDebloque','fDécompacte','fDécrypte',
      'fDisqueEnCours','fDisquePret','fEcrit','fEcritLigne','fFichierExiste',
      'FenEnCours','FenEnExécution','FenEnSaisie','FenEtat','FenExtHaut','FenExtLarg','FenExtPosH',
      'FenExtPosV','FenImageFond','FenIntHaut','FenIntLarg','FenIntPosH','FenIntPosV','FenPrecedente',
      'FenTaille','Ferme','fEspaceDisque','fExtraitChemin','fFerme','fFichierTemp',
      'fFiltreImage','fHeure','FichierVersEcran','finAmortissement','finAmortissementDégressif',
      'finAmortissementLineaire','finErreur','FinEvenement','FinInteretPeriode','finNbVersement',
      'FinProgramme','finTauxIntérêt','FinTimer','FinTimerSys','finValActuelle','finValActuelleNette',
      'finValFuture','finValRemboursement','fListeFichier','fLit','fLitLigne','fNomCourt',
      'fNomLong','fOuvre','fPositionne','fRenomme','fRep','fRepCree','fRepDroit',
      'fRepEnCours','fRepertoireTemp','fRepSupprime','fSelecteur','fStopCompacte','fSupprime',
      'fTaille','fTailleDecompacte','fTailleDisque','FTPAttribut','FTPConnecte','FTPDate',
      'FTPDéconnecte','FTPEnvoie','FTPHeure','FTPListeFichier','FTPMsgErreur','FTPNom',
      'FTPRécupère','FTPRenommeFichier','FTPRepCrée','FTPRepEnCours','FTPRepSupprime','FTPSupprimeFichier',
      'FTPTaille','fTypeDisque','gARecuperer','Gauche','gCadrage','gCercle','gCoord','gFond',
      'gImage','gLien','gLigne','GrAjouteDonnée','GrCouleurSérie','GrCrée','GrCréePolice',
      'GrDessine','GrDestinationChamp','GrDestinationFen','GrDestinationWMF','gRectangle',
      'GrEffaceDessin','GrEtiquetteCatégorie','GrEtiquetteSérie','grExiste','GrFenTaille',
      'GrGraduation','GrHistoEspacement','GrImprime','GrLegende','GrLégende',
      'GrLibelle','GrLibellé','GrMenu','GrNuageAjouteDonnéeXY','GrNuageReliePoint','GrNuageTaillePoint',
      'GrOptionMenu','grOrigine','GrPoliceEtiquette','GrPoliceLegende','GrPoliceLégende',
      'GrPoliceTitre','GrPoliceTitreAxe','GrQuadrillage','GrRelief','GrSecteurAngleDepart',
      'GrSecteurAngleDépart','grSecteurPartExcentree','grSecteurPartExcentrée','GrSupprimeSerie',
      'GrSupprimeSérie','GrSupprimeTout','GrTitre','GrTitreAxe','GrType','gStylo',
      'HActiveFiltre','HAjoute','HAlias','HAliasExterne','Handle','Hasard',
      'Hasp','HAssigne','HAvance','HBloqueFichier','HBloqueTotalFichier','HChangeCle','HChargeWDDB',
      'HConvertC','HConvertD','HConvertE','HConvertL','HConvertM','HConvertP','HConvertR',
      'HConvertU','HConvertX','HCopieEnreg','HCréation','HCreationSiInexistant',
      'HCréationSiInexistant','HCreeVue','HCréeVue','HDBCreation','HDBCréation','HDBDecritFichier',
      'HDBDécritFichier','HDBDecritIndex','HDBDécritIndex','HDBDecritRubrique','HDBDécritRubrique',
      'HDBIndex','HDBOuvre','HDBOuvreSansBloquer','HDebloqueFichier','HDébloqueFichier',
      'HDebloqueNumEnr','HDébloqueNumEnr','HDebloqueTotalFichier','HDébloqueTotalFichier',
      'HDebutVerrou','HDecritCle','HDécritClé','HDecritFichier','HDécritFichier','HDecritLiaison',
      'HDécritLiaison','HDecritRubrique','HDécritRubrique','HDecritTrigger','HDécritTrigger',
      'HDejaBloque','HDernier','HDesactiveFiltre','HDésactiveFiltre','HDetruitVue','HDoublon',
      'HEcrit','HErrIntegrite','HErrIntégrité','HeureDifférence','HeureSys',
      'HeureValide','HeureVersChaine','HeureVersEntier','HExecuteVue','HFerme','HFermeAnalyse',
      'HFiltre','HFinHFR','HFinInterditModif','HFinVerrou','HFTermine','HGereAccesDistant',
      'HGèreAccèsDistant','HGereDoublonNon','HGereDoublonOui','HGereIntegriteNon','HGèreIntégritéNon',
      'HGereIntegriteOui','HGèreIntégritéOui','HGereJnlNon','HGèreJnlNon','HGereJnlOui',
      'HGèreJnlOui','HGereMemoNon','HGèreMémoNon','HGereMemoOui','HGèreMémoOui','HGereReplication',
      'HGèreRéplication','HGereRepNon','HGèreRepNon','HGereRepOui','HGèreRepOui','HGereTrigger',
      'HGèreTrigger','HGereTrsNon','HGèreTrsNon','HGereTrsOui','HGèreTrsOui','HImporteTexte',
      'HInfoGéné','HInfoRubrique','HInit','HInterditModif','HJournalRecree',
      'HJournalRecrée','HJournalRedemarre','HJournalRedémarre','HJournalStop','HLibere',
      'HListeAnalyse','HListeCle','HListeClé','HListeFichier','HListeLiaison',
      'HListeRep','HListeRubrique','HListeTrigger','HLit','HLitBloque',
      'HLitDernier','HLitDernierBloque','HLitDernierSansBloquer','HLitPrecedent','HLitPrécédent',
      'HLitPrecedentBloque','HLitPrécédentBloque','HLitPrecedentSansBloquer','HLitPrécédentSansBloquer',
      'HLitPremier','HLitPremierBloque','HLitPremierSansBloquer','HLitRecherche','HLitRechercheBloque',
      'HLitRechercheSansBloquer','HLitSansBloquer','HLitSuivant','HLitSuivantBloque',
      'HLitSuivantSansBloquer','HModeAuto','HModePerso','HModeSemiPerso','HModifie','HOuvre',
      'HOuvreAnalyse','HOuvreSansBloquer','HPositionne','HPoste','HPrecedent',
      'HPrécédent','HPremier','HRaye','HRAZ','HRecherche','HRecule','HRecupereRubrique',
      'HRécupèreRubrique','HRecupereRubriqueTout','HRécupèreRubriqueTout','HReindexe','HRéindexe',
      'HReplace','HRetourPosition','HSauvePosition','HSecurite','HSécurité','HSubstNom',
      'HSubstRep','HSuivant','HSupprime','HTransactionAnnule','HTransactionDebut','HTransactionDébut',
      'HTransactionFin','HTriVue','HValCle','HValClé','HVerifieIndex','HVersion','HVersRubrique',
      'HVueVersFichier','hVueVersTable','iAperçu','iCadre','iConfigure','Iconise','iCréePolice',
      'iCreePolice','iDonneIdentifiant','iFenetreAbandon','iFenêtreAbandon','iFinImprime',
      'iHauteurImage','iHauteurPage','iHauteurTexte','iImprime','iImprimeEtat',
      'iImprimeImage','iImprimeMot','iLargeurImage','iLargeurPage',
      'iLargeurTexte','iLigne','iMagentaTransparent','iMarge','iMMVersPica','IndiceEnCours',
      'IndiceSuivant','Info','InfoBitmap','InfoEXE','InfoObjet','IniEcrit','IniLit','InitFenetre',
      'InitFenêtre','InitHasard','InstalleIcone','Instance','iNumPage','Inverse',
      'iParametre','iParamètre','iPicaVersMM','iPolice','iPoliceDidot','iPosH',
      'iPosV','iSauteLigne','iSautePage','iSelectPolice','iSubstBloc','iTerminePage',
      'iTrait','iTraitH','iTraitV','Jauge','JavaCharge','javaExécute','LanceAppliAssociee',
      'LanceAppliAssociée','LigneCommande','ListeAjoute','ListeCherche','ListeInsere','ListeModifie',
      'ListeOccurrence','ListePosition','ListeSelect','ListeSelectMoins',
      'ListeSelectPlus','ListeSupprime','ListeSupprimeTout','Ln','Log','Majuscule','MatAdditionne',
      'MatCompresse','MatCopie','MatCree','MatDéterminant','MatEcrit','MatErreur','MatExiste',
      'MatInverse','MatLit','MatLitColonne','MatLitLigne','MatMultiplie','MatNbColonne',
      'MatNbLigne','MatReelAdditionne','MatReelMultiplie','MatRemplie','MatRemplit','MatSupprime',
      'MatTranspose','Max','Maximise','MciErr','MciExecute','MciInit','MciMsgErr','MciRecupere',
      'MciTermine','MciVolume','MDIActive','MDIMenuFenetre','MDIMere','MemAjoute','MemCree',
      'MemDernier','MemEnCours','MemEnDehors','MemExiste','MemModifie','MemOccurrence',
      'MemPositionne','MemPrecedent','MemPrécédent','MemPremier','MemRecherche','MemRecupere',
      'MemRécupère','MemSuivant','MemSupprime','MemSupprimeTout','MemTri','MemTrouve','MemTrouvé',
      'MemValCle','MenuDemarque','MenuEtat','MenuInvisible','MenuLibelle','MenuMarquage',
      'MenuMarque','MenuSelectMoins','MenuSelectPlus','Message','MessTraduit','Milieu',
      'Min','Minuscule','Modulo','MoiMeme','MultiTache','Nation','NetAdresseIP',
      'NetConnecte','NetDéconnecte','NetDémarreServeur','NetEnvoieBuffer','NetEnvoieFichier',
      'NetEnvoieMessage','NetEnvoieMessageClient','NetExécute','netFermeAccèsDistant','NetFinServeur',
      'NetListeDisque','NetListeRep','NetMessageBoxClient','NetMessageBoxDistant','netMsgErreur',
      'NetNomMachine','netOuvreAccèsDistant','NetRécupèreFichier','NetRenommeFichier','NetSupprimeFichier',
      'NombreFenetre','NONBinaire','NumériqueVersChaine','NumeriqueVersChaine','NumeroDeSemaine',
      'NumHelp','ObjetActif','Occurrence','odColName','odColSize','odColType','odColumn',
      'odConnect','odDataSource','odDisconnect','odEndSQL','odErr','odErrMsg','odExecSQL',
      'odFetchNext','odNumCol','odTable','odValChar','odValLine','OemVersAnsi','OLECharge',
      'OLEColle','OLECopie','OLECreeCopie','OLECreeVide','OLEEdite','OLEExecute','OLEJoue',
      'OLESauve','OLEServeur','OuBinaire','OuExBinaire','OuiNon','Ouvre',
      'OuvreFille','OuvreSoeur','PartieDecimale','PartieEntiere','Phonétique','PoidsFaible',
      'PoidsFort','PoliceListe','Position','PostMessage','PressePapier','Puissance','Racine',
      'RAZ','RegistreCléSuivante','RegistreCréeClé','RegistreEcrit','RegistreLit',
      'RegistrePremièreSousClé','RegistreSupprimeClé','Remplace','RenvoieWdTouche',
      'Repete','RepriseSaisie','ReseauConnecte','ReseauDeconnecte','ReseauNomRep','ReseauUtilisateur',
      'Restaure','RVB','Sablier','SansEspace','sCalculeCrc16','sDansFileEntree','sDansFileSortie',
      'sEchap','sEcrit','SelectCouleur','SendMessage','sFerme','sFixeParametre','Sinus',
      'sLit','Son','SonInit','SourisPosH','SourisPosV','sOuvre','SQLAssocie',
      'SQLBloque','SQLChangeConnexion','SQLCol','SQLConnecte','SQLDeconnecte','SQLDernier',
      'SQLExec','SQLFerme','SQLFetch','SQLFormatColonne','SQLInfoGene','SQLListeSource',
      'SQLListeTable','SQLLitCol','SQLLitMemo','SQLModifie',
      'SQLPositionne','SQLPrecedent','SQLPremier','SQLReqExiste','SQLSuivant',
      'SQLTable','SQLTransaction','statCorrélation','statCovariance','statEcartMoyen','statEcartType',
      'statEcartTypeP','statErreur','statMax','statMin','statMoyenne','statSomme','statVariance',
      'statVarianceP','Stop','SysCouleur','SysCouleurRes','SysDonneFocus',
      'SysEspace','SysFenActive','SysFenAffiche','SysFenHandle','SysFenTitre',
      'SysHandleValide','SysIconisé','SysInstance','SysLibereDC','SysMetrique','SysModeErreur',
      'SysNomExe','SysRecupereDC','SysRep','SysVersionWindows','SysXRes','SysYRes','TableAffiche',
      'TableAjoute','TableAjuste','TableCherche','TableEnregistre','TableFin','TableInsere',
      'TableMode','TableModifie','TableNumEnr','TableOccurrence','TablePosition',
      'TableSelect','TableSelectPlus','TableSupprime','TableSupprimeTout','TableTri','Taille',
      'Tang','TermineApp','TexteHauteur','TexteLargeur','Timer','TimerSys','TitreEnCours',
      'TitreSuivant','ToucheEnfoncé','Trace','TraceDebut','TraceFin','TrameImage','Transfert',
      'TypeVariable','Utilise','Val','VBXEnvoie','VBXEvenement','VBXRecupere','VersChaine',
      'VersionWindev','VersionWindows','VersPressePapier','WEBParamètre','WEBRenvoiePage',
      'WHelp','xlsDonnée','xlsErreur','xlsFerme','xlsNBColonnes','xlsNbLignes','xlsOuvre',
      'xlsTitreColonne','xlsTypeColonne','xlsVersion','zipAjouteFichier','zipAjouteRépertoire',
      'zipChercheFichier','zipCrée','zipDécoupe','zipEstMulti','zipExtraitChemin','zipExtraitFichier',
      'zipExtraitTout','zipFerme','zipFichierEnCours','zipInfoFichier','zipListeFichier',
      'zipMsgErreur','zipNbFichier','zipNbPartie','zipNbPartieNécessaire','zipOuvre','zipRegroupe',
      
      'ActiveXEvent','AnsiToOem','ArcCos','ArcSin','ArcTan','Beep','BinaryAND','BinaryInfo',
      'BinaryLoad','BinaryNOT','BinaryOR','BinarySave','BinaryXOR','BitmapInfo','CallDLL',
      'CallDLL32','CallDLLLong','Charact','ClipBoard','Close','CommandLine',
      'Confirm','Cos','CoTan','Count','Crypt','CryptMsgError','CurrentColumn',
      'CurrentField','CurrentSubscript','CurrentTitle','CurrentWin','CursorCapture','CursorPos',
      'DataType','DateDifference','DateTimeDifference','DateToInteger',
      'DateToString','DateValid','dBackGround','dChord','dCircle','dCopyBlt','DDEConnect',
      'DDEDisconnect','DDEEvent','DDELink','DDERetrieve','DDESend',
      'DDEStart','DDEStatus','DDEString','DDEUnLink','DDEUpDate','DDEWarmLink','DecimalPart',
      'dEndDrawing','dFill','dFont','dLine','DnDAccept','DnDCacheData','DnDCursor',
      'DnDEvent','DnDForce','DnDGetData','DnDIsDataAvailable','DOSEnvironment','dPen','dPixelColor',
      'dPolygon','dSaveImage','dSlice','dStartDrawing','dText','eChangeCurrency',
      'eChangeRate','CurrencyName','eDefaultMemCurrency','eDefaultViewCurrency','eInitCurrency',
      'EmailCloseSession','EmailDeleteMessage',
      'EmailMsgError','EmailReadFirst','EmailReadLast',
      'EmailReadMessage','EmailReadNext','EmailReadPrevious','EMailSaveAttachement',
      'EmailSendMessage','EmailStartSession','EmailUpdate',
      'EndEvent','EndProgram','EndTimer','EndTimerSys','EndTrace','eRoundDifference','Error',
      'eToCurrency','eToEuro','Event','ExeRunning',
      'ExplorerAccept','ExporerRetrieve','ExtractString',
      'fAttribute','fClose','fCompress','fCopyFile','fCreate','fCrypt','fCurrentDir',
      'fCurrentDrive','fDelete','fDir','fDirAttrib',
      'fDiskSize','fDriveReady','fDriveSpace','fDriveType','fExtractPath','fGraphicFilter',
      'FieldAlias','FieldNoSpace','FileToScreen','finCurrentVal',
      'finDecreasingRedemption','FinError','finFuturVal','FinInterestRate','finLinearRedemption',
      'finNetCurrentVal','FinPaymentNb','FinPeriodInterest','FinRedemption','finRepayVal',
      'fFileExists','fListFile','fLock','fLongName','fMakeDir','FontList','fOpen','fRead',
      'fReadLine','FreeDLL','fRemoveDir','fRename','fSeek','fSelect','fShortName','fShortPath',
      'fSize','fSizeUncompressed','fStopCompress','fTempDirectory','fTempFile','fTime',
      'FTPAttribute','FTPConnect','FTPCurrentDir','FTPDeleteFile','FTPDisconnect',
      'FTPGet','FTPListFile','FTPMakeDir','FTPMsgError','FTPName','FTPRemoveDir','FTPRenameFile',
      'FTPSend','FTPSize','FTPTime','fUncompress','fUncrypt','fUnLock','fWrite','fWriteLine',
      'gAlignment','gARetrieve','Gauge','gBackGround','gCircle','GetActiveObject',
      'gLine','gLink','gPen','GrAddData','GrAxeTitleFont','GrAxisTitle',
      'GrCategoryLabel','GrClearPict','GrColumnSpacement','GrCreate','GrCreateFont','GrDeleteAll',
      'GrDeleteSerial','GrDestinationControl','GrDestinationWnd','GrDraw',
      'grExist','GrGraduate','GrLabel','GrLabelFont','GrLegend','GrLegendFont',
      'GrMenuOption','grOrigin','grPieEccentred','GrPieStartAngle','GrPrint',
      'GrScatterAddDataXY','GrScatterLinkPoint','GrScatterPointSize',
      'GrSeriesColor','GrSeriesLabel','grTitle','GrTitleFont','GrWndSize',
      'HActivateFilter','HAdd','HAliasExternal','HAssign','HAutoMode',
      'HBackWard','HChangeKey','HCheckIndex','HClose','HCloseAnalysis',
      'HCopyRecord','HCreateView','HCreation','HCreationIfNotFound','HCross','HCustomMode',
      'HDBDescribeField','HDBDescribeFile','HDBDescribeIndex',
      'HDBOpen','HDBOpenNoLock','HDeactivateFilter','HDelete','HDeleteView',
      'HDescribeField','HDescribeFile','HDescribeKey','HDescribeLink',
      'HDescribeTrigger','HDoublet','HDuplicates','HEndHFR','HEndLock','HEndNoModif','HErrIntegrity',
      'HExecuteView','HFDone','HFilter','HFirst','HForward','HFree','HImportText','HIndex',
      'HInfoField','HInfoGene','HIsLocked','HiWord','HLast',
      'HListAnalysis','HListField','HListFile','HListKey',
      'HListLink','HListRep','HListTrigger','HLoadWDDB','HLockEntireFile','HLockFile','HLogInfo',
      'HLogRecreate','HLogRestart','HLogStop','HModify','HNext','HNoModif','HOpen',
      'HOpenAnalysis','HOpenNoLocking','HourGlass','HPosition',
      'HPost','HPrevious','HRead','HReadFirst','HReadFirstLock','HReadFirstNoLock',
      'HReadLast','HReadLastLock','HReadLastNoLock','HReadLock','HReadNext',
      'HReadNextLock','HReadNextNoLock','HReadNoLock','HReadPrevious',
      'HReadPreviousLock','HReadPreviousNoLock','HReadSeek','HReadSeekLock','HReadSeekNoLock',
      'HReset','HRestorePosition','HRetrieveAllField',
      'HRetrieveField','HSavePosition','HSecurity','HSeek','HSemiCustomMode',
      'HSetDirOff','HSetDirOn','HSetDistantAccess','HSetDoubletOff','HSetDoubletOn','HSetDuplicatesOff',
      'HSetDuplicatesOn','HSetIntegrityOff','HSetIntegrityOn','HSetLogOff','HSetLogOn',
      'HSetMemoOff','HSetMemoOn','HSetReplication','HSetTrigger','HSetTrsOff','HSetTrsOn',
      'HSortView','HStartLock','HSubstDir','HSubstName','HToField','HTransactionCancel',
      'HTransactionEnd','HTransactionStart','HUnLockEntireFile','HUnLockFile','HUnlockRecord',
      'HValKey','HViewToFile','hViewToTable','HWrite','iBorder',
      'IconInstall','Iconize','iCreateFont','iDidotFont',
      'iEndPage','iEndPrinting','iFont','iHLine','iHPos','iImageHeight','iImageWidth',
      'iLine','ImageFrame','iMargin','iMMToPica','iNewLine','IniRead',
      'InitRandom','InitSound','InitWindow','IniWrite','IntegerPart',
      'IntegerToDate','IntegerToDay','IntegerToDayInAlpha','IntegerToMonthInAlpha','IntegerToTime',
      'IntegerToWeekNumBer','InWebMode','iPageHeight','iPageNum','iPageWidth',
      'iParameter','iPicaToMM','iPreview','iPrint','iPrintImage',
      'iPrintReport','iPrintWord','iSelectFont','IsEven','iSkipLine',
      'iSkipPage','IsOdd','iSubstBlock','iTextHeight','iTextWidth','iTransparentMagenta',
      'iVLine','iVPos','iWindowCancel','javaExecute','javaLoad','KeyPress','Left',
      'Length','ListAdd','ListCount','ListDelete','ListDeleteAll','ListInsert','ListModify',
      'ListPosition','ListSeek','ListSelect','ListSelectMinus','ListSelectPlus',
      'LoadDLL','LoadError','LoadImage','LoadProcedure','LoadWDL','Lower','LoWord',
      'MatAdd','MatCopy','MatCreate','MatDelete','MatDeterminant','MatError','MatExist',
      'MatFill','MatFloatAdd','MatFloatMultiply','MatInvert','MatMultiply','MatNbColumn',
      'MatNbLine','MatRead','MatReadColumn','MatReadLine','MatStack','MatWrite',
      'Maximize','MciRetrieve','MciStart','MciStop',
      'MDIMother','MDIWindowMenu','MemAdd','MemCount','MemCreate',
      'MemCurrent','MemDelete','MemDeleteAll','MemExist','MemFirst','MemFound','MemKeyVal',
      'MemLast','MemModify','MemNext','MemOut','MemPrevious','MemRetrieve','MemSeek','MemSetPosition',
      'MemSort','MenuIsMarked','MenuLabel','MenuMark','MenuSelectMinus',
      'MenuStatus','MenuUnMark','MessTranslate','Middle',
      'MouseHPos','MouseVPos','MultiTask','NetClientMessageBox',
      'NetClientSendMessage','netCloseRemoteAccess','NetConnect','NetDirList','NetDisconnect',
      'NetDiskList','NetEndServer','NetEraseFile','NetExecute','NetGetFile','NetIPAddress',
      'NetMachineName','netMsgError','netOpenRemoteAccess','NetRemoteMessageBox','NetRenameFile',
      'NetSendBuffer','NetSendFile','NetSendMessage','NetStartServer','NetworkConnect',
      'NetworkDirName','NetworkDisconnect','NetworkUser','NextField','NextSubscript','NextTitle',
      'NoSpace','NumToString','ObjectInfo','OemToAnsi',
      'OLEActivate','OLECopy','OLECreateCopy','OLECreateEmpty','OLELoad','OLEPaste',
      'OLEPlay','OLESave','OLEServer','OnTestMode','Open','OpenChild',
      'OpenSister','Phonetic','PopupField','Power','PreviousWin',
      'Random','RegistryCreateKey','RegistryDeleteKey','RegistryFirstSubKey',
      'RegistryNextKey','RegistryQueryValue','RegistrySetValue',
      'RepeatString','Replace','Reset','Restore','ReturnToCapture','ReturnWdKey','Reverse',
      'RGB','Right','Root','Round','sClose','sComputeCrc16','ScreenFirst','ScreenToFile',
      'ScrollBarShow','SelectColor','SelectionColor','SendKey',
      'sEscape','ShellExecute','Result','sInEntryQueue','sInExitQueue','sOpen',
      'Sound','sParameter','SQLChangeConnection','SQLClose','SQLColumnFormat',
      'SQLConnect','SQLDisconnect','SQLFirst','SQLGetCol','SQLGetMemo',
      'SQLInfo','SQLLast','SQLListSource','SQLListTable',
      'SQLLock','SQLModify','SQLNext','SQLPrevious','SQLReqExists','SQLSeek',
      'sRead','StartTrace','statAverageDeviation',
      'statCorrelation','statError',
      'statStandardDeviation','statStandardDeviationP','statSUM',
      'StringToDate','sWrite','SysColor','SysColorRes','SysDir','SysErrorMode',
      'SysGetDC','SysIconize','SysMetric','SysNameExe','SysReleaseDC','SysSetFocus',
      'SysSpace','SysValidHandle','SysWinActive','SysWindowsVersion','SysWinHandle',
      'SysWinShow','SysWinTitle','TableAdd','TableAdjust','TableCount',
      'TableDelete','TableDeleteAll','TableDisplay','TableEnd','TableInsert',
      'TableModify','TableRecNum','TableSave','TableSeek',
      'TableSort','Tangent','TerminateApp','TextHeight',
      'TextWidth','TimeDifference','TimeSys','TimeToInteger',
      'TimeToString','TimeValid','ToClipBoard','ToString','Transfer','TreeAdd',
      'TreeCollapse','TreeCount','TreeDelete','TreeDeleteAll','TreeExpand','TreeGiveChild',
      'TreeIdentifier','TreeInsert','TreeListItem','TreeModify','TreeMoveItem','TreePosition',
      'TreeSelect','TreeSelectPlus','TreeStatus','TreeTypeItem',
      'Uncrypt','UnLoadProcedure','UnLoadWDL','Upper','Use','VBXEvent','VBXRetrieve',
      'VBXSend','WEBParameter','WEBReturnPage','WeekNumber','WinBackGroundImage',
      'WinDevVersion','WindowCount','WinFocus','WinInHeight','WinInHPos','WinInput','WinInVPos',
      'WinInWidth','WinOutHeight','WinOutHPos','WinOutVPos','WinOutWidth','WinSize',
      'WinStatus','WithSpace','xlsClose','xlsColumnTitle','xlsColumnType','xlsData','xlsError',
      'xlsNbColumns','xlsNbRows','xlsOpen','YesNo','zipAddDirectory','zipAddFile',
      'zipClose','zipCreate','zipCurrentFile','zipDeleteAll','zipDeleteFile','zipExtractAll',
      'zipExtractFile','zipExtractPath','zipFileSize','zipFindFile','zipInfoFile','zipIsMulti',
      'zipListFile','zipMerge','zipMsgError','zipNbFile','zipNbPart','zipNbPartNeeded',
      'zipOpen','zipSize','zipSplit','H.Action','H.Commentaire','H.EnDehors','H.ErrIgnore',
      'H.FonctionTrigger','H.LimiteRéindexationAutomatique','H.ModeSQLServer','H.NbEssais',
      'H.NbEssaisLecture','H.NomFichier','H.NumEnr','H.RéindexationAutomatiqueVisible',
      'H.Trouve','H.TrsIDInterne','H.TrsNomApplication','H.TrsNomMachine','H.TrsPoste',

      'AgentAffiche','AgentBeep','AgentCache','AgentChoix','AgentConseil','AgentCrée','AgentDéplace',
      'AgentHauteur','AgentLargeur','AgentMessage','AgentPosX','AgentPosY','AgentSaisie',
      'AgentTermine','AnimationChangeParamètre','AnimationChangeType','AnimationLitParamètre',
      'API','AppliControle','AppliContrôle','ArbreTrie','BarreAttache','BarreDétache','BarrePosition',
      'BulleCouleur','ChaineCompare','ChaîneCompare','ChaineConstruit','ChaîneConstruit',
      'ChaineFormate','ChaîneFormate','ChaineOccurrence','ChaîneOccurrence','ChaineRecupere',
      'ChaîneRécupère','ChaineVersDuree','ChaîneVersDurée','ChaineVersPalm','ChaîneVersPalm',
      'ChampCauseEntréeSortie','ChampClone','ChampErreur','ChampExiste','ChampPrécédent',
      'ChampPremier','ChampSurvol','ChangeGabarit','ComboFerme','ComboOuvre',
      'CompleteRep','ComplèteRep','ConstruitTableFichier','CreeRaccourci','CréeRaccourci',
      'CurseurAffiche','DateDuJour','DateHeureParDefaut','DateHeureParDéfaut','DateVersJour',
      'DateVersJourEnLettre','DateVersMoisEnLettre','DateVersNuméroDeSemaine','DDEDestinataire',
      'DDEErreur','DDESujet','DonneIdentifiant','DotNetAjouteEntete','DotNetAjouteEntête',
      'DotNetDonneResultat','DotNetDonneRésultat','DotNetErreur','DotNetExecute','DotNetExécute',
      'DotNetExecuteXML','DotNetExécuteXML','dSauveImageBMP','dSauveImageGIF','dSauveImageJPEG',
      'DureeVersChaine','DuréeVersChaîne','EmailChangeTimeOut','EmailEnvoie','EmailLitEnteteDernier',
      'EmailLitEntêteDernier','EmailLitEnteteMessage','EmailLitEntêteMessage','EmailLitEntetePrecedent',
      'EmailLitEntêtePrécédent','EmailLitEntetePremier','EmailLitEntêtePremier','EmailLitEnteteSuivant',
      'EmailLitEntêteSuivant','EmailLitTimeOut','EmailOuvreSessionPOP3','EmailOuvreSessionSMTP',
      'EnumèreChamp','EnumèreElément','EnumèreMenu','EnumèreSousElément','ErreurDetectee',
      'ErreurDétectée','ErreurInfo','ExceptionActive','ExceptionDeclenche','ExceptionDéclenche',
      'ExceptionInfo','ExecuteTraitement','ExécuteTraitement','ExeInfo','ExeTermine','FacteurGrandePolice',
      'FaxConnecte','FaxDeconnecte','FaxDéconnecte','FaxEnvoie','FaxEtat','fChargeTexte',
      'fCheminLong','fDisqueInfo','FenChangeAlias','FenExtPosX','FenExtPosY','FenIntPosX',
      'FenIntPosY','FenRepeint','FichierAide','FichierVersPalm','FichierVersListeMémoire',
      'FichierVersTableMémoire','fRepAttribut','fRepCopie','fRepCrée_55','fRepDeplace',
      'fRepDéplace','fRepExe','fRepSélecteur','fSauveTexte','FTPCommande','gLienActive',
      'gpwInitAnalyse','gpwLogin','gpwRecupInfoUtilisateur','grBourseAjouteDonnée','grBulle',
      'grDégradé','grDestinationBMP','grDestinationEMF','grIncrementeDonnee','grIncrémenteDonnée',
      'grLissage','grMasque','grOrientation','grSauveBMP','grSauveEMF','grSauveWMF','HActiveTrigger',
      'HAlias_55','HAnnuleAlias','HAnnuleDeclaration','HAnnuleDéclaration','HAnnuleRecherche',
      'HAttacheMemo','HAttacheMémo','HBloqueNumEnr','HChangeConnexion','HChangeNom','HChangeRep',
      'HChangeRepJnl','HConnecte','HConstruitValClé','HCopieEnreg_55','HCreeReplicaAbonne',
      'HCréeRéplicaAbonné','HCreeReplicaMaitre','HCréeRéplicaMaître','HCreeReplicaTransportable',
      'HCréeRéplicaTransportable','HCreeVue_55','HCréeVue_55','HDeclare','HDéclare','HDeclareExterne',
      'HDéclareExterne','HDecritConnexion','HDécritConnexion','HDecritTrigger_55','HDécritTrigger_55',
      'HDesactiveTrigger','HDésactiveTrigger','HDetruitTrigger','HDétruitTrigger','HEnDehors',
      'HEnregistrementVersXML','HErreur','HErreurBlocage','HErreurDoublon','HErreurEtatModification',
      'HErreurInfo','HErreurIntegrite','HErreurIntégrité','HErreurModification','HErreurMotDePasse',
      'HEtat','HExecuteRequete','HExécuteRequête','HExecuteRequeteSQL','HExécuteRequêteSQL',
      'HExporteXML','HExtraitMemo','HExtraitMémo','HFermeConnexion','HFichierExiste','HFiltreCommencePar',
      'HFiltreComprisEntre','HForceEcriture','HFusionneVue','HGereDoublon','HGèreDoublon',
      'HGereIntegrite','HGèreIntégrité','HGereJournal','HGereMemo','HGereRep',
      'HGereTransaction','HImporteHF55','HImporteTexte_55','HImporteXML',
      'HInfoMémo','HInfoRéplica','HInitAbonne','HInitAbonné','HInitHF55','HJournalInfo',
      'HLibère','HLiberePosition','HLibèrePosition','HListeConnexion','HListeParamRequete',
      'HListeParamRequête','HListeProvider','HLitRechercheDernier','HLitRecherchePremier',
      'HMigreCleComposeeReliee','HMigreCléComposéeReliée','HMode','HNbEnr','HNumEnr','HOptimise',
      'HOptimiseRequete','HOptimiseRequête','HOuvreConnexion','HPasse','HPositionCourante',
      'HRechercheDernier','HRecherchePremier','HRecupereEnregistrement','HRécupèreEnregistrement',
      'HRégénèreFichier','HRegenereFichier','HReindexe_55','HRéindexe_55','HStatCalcule',
      'HStatNbDoublon','HStatNbEnr','HStatNbEnrIntervalle','HSurErreur','HSynchroniseReplica',
      'HSynchroniseRéplica','HTMLNavigue','HTransactionInterrompue','HTransactionLibere',
      'HTransactionLibère','HTrouve','HTTPDonneResultat','HTTPDonneRésultat','HTTPRequete',
      'HTTPRequête','HVesrifieStructure','HVérifieStructure','iEllipse','iFermeEtat','iFinEtat',
      'iForceComplément','iHautBasPageImbriqué','iHauteurRestantePage','iHauteurZone','iListeEtatsImbriqués',
      'iImprimeBloc','iImprimeCodeBarre','iImprimeComplémentCorps','iImprimeZone','iImprimeZoneRTF',
      'iImpressionAbandonnée','iImpressionDemandée','iInfoImprimante','iInitRequeteEtat',
      'iInitRequêteEtat','iInitRequeteEtatConnexion','iInitRequêteEtatConnexion','iListeImprimante',
      'InternetConnecte','InternetConnecté','iPosX','iPosY','iStatusImpressionEtat','J2EEAjouteEntete',
      'J2EEAjouteEntête','J2EEDonneResultat','J2EEDonneRésultat','J2EEErreur','J2EEExecute',
      'J2EEExécute','J2EEExecuteXML','J2EEExécuteXML','JavaExecuteFonction','JavaExécuteFonction',
      'LanceAppli','ListeAffiche','ListeSelectOccurrence','Maintenant','MciArret','MciArrêt',
      'MciDebut','MciDébut','MciEtat','MciFerme','MciFin','MciFormatPosition',
      'MciJoue','MciLargeur','MciNombrePiste','MciOuvre','MciPause','MciPiste','MciPosition',
      'MciTaille','MciTailleFenêtre','MDIEnumèreFille','MDIOuvre','MemTrie','ModeExecution',
      'ModeExécution','OngletDuChamp','OUExclusifBinaire','PalmAjoute','PalmCharge','PalmDesinstalle',
      'PalmDésinstalle','PalmEnDehors','PalmFerme','PalmFiltre','PalmInstalle','PalmListeCategorie',
      'PalmListeCatégorie','PalmLit','PalmLitDernier','PalmLitPrecedent','PalmLitPrécédent',
      'PalmLitPremier','PalmLitSuivant','PalmModifie','PalmNbEnr','PalmPositionne','PalmRafraichit',
      'PalmRAZ','PalmReset','PalmSupprime','PalmVersChaîne','ParentObjet','PoliceCree',
      'PoliceCrée','PoliceSelect','PositionOccurrence','PressePapierFormat','PressePapierHauteur',
      'PressePapierLargeur','Proxy','RegistreExiste','RegistreSupprimeValeur','RTFCharge',
      'RTFRecherche','RTFRemplace','RTFSélection','RTFVersTexte','SansAccent','SectionCritiqueDebut',
      'SectionCritiqueDébut','SectionCritiqueFin','SemaphoreCree','SémaphoreCrée','SemaphoreDebut',
      'SémaphoreDébut','SemaphoreDetruit','SémaphoreDétruit','SemaphoreFin','SémaphoreFin',
      'SignalAttend','SignalCree','SignalCrée','SignalDetruit','SignalDétruit','SignalModifie',
      'SOAPAjouteEntete','SOAPAjouteEntête','SOAPDonneResultat','SOAPDonneRésultat','SOAPEncodeResultat',
      'SOAPEncodeRésultat','SOAPErreur','SOAPExecute','SOAPExécute','SOAPExecuteXML','SOAPExécuteXML',
      'SocketAccepte','SocketAttendConnexion','SocketChangeModeTransmission','SocketClientInfo',
      'SocketConnecte','SocketCree','SocketCrée','SocketEcrit','SocketExiste','SocketFerme',
      'SocketLit','SocketRefuse','SourisPosX','SourisPosY','SysArrete','SysArrête','SysEnvironnement',
      'SysIconeAjoute','SysIconeModifie','SysIconeSupprime','TableAjouteLigne','TableDéplaceColonne',
      'TableEnumèreColonne','TableFixeColonne','TableIndiceColonne','TableInfoXY','TableInsèreLigne',
      'TableModifieLigne','TableSaisieEnCours','TableSaisieLoupe','TableSelectMoins','TableSelectOccurrence',
      'TableTrie','TableVersExcel','TableVersWord','TableVersXML','telAppelDebut','telAppelDébut',
      'telAppelEnAttente','telAppelEstOccupe','telAppelEstOccupé','telAppelEstTermine',
      'telAppelEstTerminé','telAppelPasDeReponse','telAppelPasDeRéponse','telArrete','telArrête',
      'telCapacite','telCapacité','telCompose','telDemarreDetectionAppel','telDémarreDétectionAppel',
      'telDureeAppel','telDuréeAppel','telEnregistre','telErreur','telFinDetectionAppel',
      'telFinDétectionAppel','telJoue','telListePeripherique','telListePériphérique','telNumeroAppelant',
      'telNuméroAppelant','telNumeroAppele','telNuméroAppelé','telPeripherique','telPériphérique',
      'telRaccroche','telRepondAppel','telRépondAppel','TexteVersXML','ThreadArrete','ThreadArrête',
      'ThreadAttend','ThreadAttendSignal','ThreadEnvoieSignal','ThreadEtat','ThreadExécute',
      'ThreadMode','ThreadPriorite','ThreadPriorité','ThreadReprend','ThreadSuspend','ToucheEnfoncée',
      'TwainHauteurSource','TwainLargeurSource','TwainListeSource','TwainSelectSource',
      'TwainSourceEnCours','TwainVersBMP','TwainVersChamp','TwainVersGIF','TwainVersJPEG',
      'TwainVersPressePapier','TwainZoneScan','TypeVar','VariantConvertit','VidéoAffiche',
      'VidéoArrête','VidéoCapture','VidéoChangeDriver','VidéoConfigure','VidéoEtat','VidéoListeDriver',
      'xlsNbColonne','xlsNbLigne','XMLAnnuleRecherche','XMLDernier','XMLDocument','XMLDonnee',
      'XMLDonnée','XMLEnDehors','XMLExtraitChaine','XMLExtraitChaîne','XMLFils','XMLNomElement',
      'XMLNomElément','XMLNomParent','XMLParent','XMLPrecedent','XMLPrécédent','XMLPremier',
      'XMLRacine','XMLRecherche','XMLSuivant','XMLTermine','XMLTrouve','XMLTypeElément',
      'XMLVersTexte','zipChangeChemin','zipCreeExe','zipCréeExe',
      /*Windev 8*/
      'AnalyseurDébut','AnalyseurFin','AnsiVersUnicode','ArbreCopieElément','ArbreDérouleTout',
      'ArbreEnrouleTout','ArbreSupprimeFils','Avertissement','ChampSupprime','ChangeAlphabet',
      'ComposantInfo','Conversion','dInverseCouleur','dRedimensionne','dRotation','dSauveImagePNG',
      'dSymétrieHorizontale','dSymétrieVerticale','EmailRaz','EnModeComposant','FluxAccepte',
      'FluxConnecte','FluxDéconnecte','FluxInfo','FluxJoue','FluxRefuse','FluxStop','fRepDonnées',
      'grEpaisseurTrait','HChangeLocalisation','iCadreArrondi','iDernierFichier','iDestination',
      'iEscape','iParamètreAperçu','iParamètrePDF','ListeInfoXY','MessageAjouteCase','MessageSupprimeCase',
      'OKAnnuler','OuvreMenuContextuel','OuvrePopup','OuvrePopupPosition','Ping','RegistreCherche',
      'RegistreListeValeur','RTFAjoute','RTFInsère','sEvénement','sEvenement','sFinEvénement',
      'TableauAjoute','TableauCherche','TableauCopie','TableauInfo','TableauInsère','TableauSupprime',
      'TableauSupprimeTout','TableauTrie','telComposeLigne','telExécuteTransfert','TelMetAppelEnAttente',
      'telOrigine','telReprendAppelEnAttente','TelTransfertDirect','TwainEtat','UnicodeVersAnsi',
      'VérifieExpressionRégulière','VerifieExpressionRégulière','VerifieExpressionRéguliere',
      'VérifieExpressionRéguliere','VerifieExpressionRegulière','VerifieExpressionReguliere',
      'XMLAjouteAttribut','XMLAjouteFils','XMLConstruitChaîne','XMLExécuteXPath','XMLExtraitDocument',
      'XMLInsèreDocument','XMLInsereDocument','XMLInsèreElément','XMLInsereElément','XMLInsèreElement',
      'XMLInsereElement','XMLModifie','XMLPosition','XMLRenomme','XMLRésultat','XMLResultat',
      'XMLRetourPosition','XMLSauvePosition','ZipAjouteListeFichier','zipSupprimeFichier',
      'ArbreInfoXY','Compresse','Décompresse','EnModePocket','EstNumérique','HConstruitValCléANSI',
      
      'AgentShow','AgentHide','AgentChoice','AgentAdvice','AgentCreate','AgentMove',
      'AgentHeight','AgentWidth','AgentXPos','AgentYPos','AgentInput','AgentTerminate',
      'AnimationSetParameter','AnimationSetMode','AnimationGetParameter','AppliControl',
      'TreeSort','ToolbarDock','ToolbarUndock','ToolbarPosition','ToolTipColor','StringCompare',
      'StringBuild','StringFormat','StringCount','StringRetrieve','StringToDuration',
      'StringToPalm','ControlInOutReason','ControlClone','FieldError','FieldExist','PreviousField',
      'FieldFirst','ControlOver','ChangeTemplate','ComboClose','ComboOpen',
      'CompleteDir','BuildBrowsingTable','CreateShortCut',
      'CursorDisplay','Today','DateTimeByDefault','DateToDay','DateToDayInAlpha','DateToMonthInAlpha',
      'DateVersWeekNumber','DDERecipient','DDEError','DDETopic','GetIdentifier','DotNetAddHeader',
      'DotNetGetResult','DotNetError','DotNetRun','DotNetRunXML','dSaveImageBMP','dSaveImageGIF',
      'dSaveImageJPEG','DurationToString','EmailSetTimeOut','EmailSend',
      'EmailReadLastHeader','EmailReadMessageHeader','EmailReadPreviousHeader','EmailReadFirstHeader',
      'EmailReadNextHeader','EmailGetTimeOut','EmailStartPOP3Session','EmailStartSMTPSession',
      'EnumControl','EnumElement','EnumMenu','EnumSubElement','ErrorOccurred','ErrorInfo',
      'ExceptionEnable','ExceptionThrow','ExecuteProcess',
      'ExeTerminate','LargeFontFactor','FaxConnect','FaxDisconnect','FaxSend',
      'FaxStatus','fLoadText','fLongPath','fDriveInfo','WinChangeAlias','WinOutXPos','WinOutYPos',
      'WinInXPos','WinInYPos','WinRedraw','HelpFile','FileToPalm','FileToMemoryList','FileToMemoryTable',
      'fDirAttribute','fCopyDir','fMakeDir_55','fMoveDir','fExeDir','fSelectDir','fSaveText',
      'FTPCommand','gLinkActivate','gpwInitAnalysis','gpwGetUserInfo','grStockAddData',
      'grTooltip','grGradient','grIncreaseData','grSmoothing',
      'grMask','grSaveBMP','grSaveEMF','grSaveWMF','HActivateTrigger',
      'HCancelAlias','HCancelDeclaration','HCancelSeek','HLinkMemo','HLockRecNum','HChangeConnection',
      'HChangeName','HChangeDir','HChangeLogDir','HConnect','HBuildKeyValue','HCopyRecord_55',
      'HCreateSubscriberReplica','HCreateMasterReplica','HCreateMoveableRelica',
      'HCreateView_55','HDeclareExternal','HDescribeConnection','HDescribeTrigger_55',
      'HDeactivateTrigger','HDeleteTrigger','HOut','HRecordToXML','HError','HErrorLock',
      'HErrorDuplicates','HErrorStatusModification','HErrorInfo','HErrorIntegrity','HErrorModification',
      'HErrorPassword','HState','HExecuteQuery','HExecuteSQLQuery','HExportXML','HExtractMemo',
      'HConnectionClose','HFileExist','HFilterStartsWith','HFilterIncludedBetween','HFlush',
      'HMergeView','HSetDuplicates','HSetIntegrity','HSetLog','HSetMemo','HSetREP',
      'HSetTransaction','HImportHF55','HImportText_55','HImportXML','HInfoMemo',
      'HInfoReplica','HInitSubscriber',
      'HFreePosition','HListConnection','HListQueryParameter','HListProvider','HReadSeekLast',
      'HReadSeekFirst','HMigrateLinkedCompositeKey','HNbRec','HRecNum','HOptimize',
      'HOptimizeQuery','HConnectionOpen','HPass','HGetCurrentPosition','HSeekLast','HSeekFirst',
      'HRetrieveRecord','HRegenerateFile','HIndex_55','HStatCalculate','HStatNbDuplicates',
      'HStatNbRec','HStatNbRecRange','HOnError','HSynchronizeReplica','HtmlNavigate','HTransactionInterrupted',
      'HTransactionFree','HFound','HTTPGetResult','HTTPRequest','HCheckStructure',
      'iCloseReport','iEndReport','iForceComplement','iNestedHeaderFooter','iPageHeightLeft',
      'iZoneHeight','iListNestedReports','iPrintBlock','iPrintBarCode','iPrintBodyComplement',
      'iPrintZone','iPrintZoneRTF','iDocumentCanceled','iDocumentPrinted','iInfoPrinter',
      'iInitReportQuery','iInitReportQueryConnection','iListPrinter','InternetConnected',
      'iXPos','iYPos','iReportPrintingStatus','J2EEAddHeader','J2EEGetResult','J2EEError',
      'J2EERun','J2EERunXML','javaExecuteFunction','ExeRun','ListDisplay','ListSelectCount',
      'Now','MciStopPlaying','MciBegining','MciStatus','MciClose','MciEnd','MciPositionFormat',
      'MciPlay','MciWidth','MciTrackCount','MciOpen','MciTrack',
      'MciSize','MciWindowSize','MDIEnumChild','MDIOpen','ExecutionMode','ControlTab',
      'PalmAdd','PalmLoad','PalmUninstall','PalmOut','PalmClose','PalmFilter',
      'PalmInstall','PalmListCategory','PalmRead','PalmReadLast','PalmReadPrevious','PalmReadFirst',
      'PalmReadNext','PalmModify','PalmNbRec','PalmPosition','PalmRefresh',
      'PalmDelete','PalmToString','ParentObject','FontCreate','FontSelect',
      'ClipboardFormat','ClipboardHeight','ClipboardWidth',
      'RegistryExist','RegistryDeleteValue','RTFLoad','RTFSearch','RTFReplace','RTFSelection',
      'RTFToText','NoAccent','CriticalSectionStart','CriticalSectionEnd','SemaphoreCreate',
      'SemaphoreStart','SemaphoreDestroy','SemaphoreEnd','EventWait','EventCreate','EventDestroy',
      'EventChange','SOAPAddHeader','SOAPGetResult','SOAPEncodeResult','SOAPError','SOAPRun',
      'SOAPRunXML','SocketAccept','SocketWaitForConnection','SocketChangeTransmissionMode',
      'SocketConnect','SocketCreate','SocketWrite','SocketExist','SocketClose',
      'SocketRead','SocketDeny','MouseXPos','MouseYPos','SysShutdown','SysEnvironment',
      'SysIconAdd','SysIconModify','SysIconDelete','TableAddLine','TableMoveColumn','TableEnumColumn',
      'TableFixColumn','TableColumnSubscript','TableInsertLine','TableModifyLine',
      'TableInputInProgress','TableInputSearch','TableSelectMinus','TableSelectCount',
      'TableToExcel','TableToWord','TableToXML','tapiCallStart','tapiCallIsWaiting','tapiCallIsBusy',
      'tapiCallIsOver','tapiNoAnswer','tapiStop','tapiCapability','tapiDial','tapiListen',
      'tapiCallDuring','tapiRecord','tapiError','tapiStopCallDetection','tapiPlay','tapiDeviceList',
      'tapiCallerID','tapiCalledID','tapiDevice','tapiHangUp','tapiAnswerCall',
      'TextToXML','ThreadStop','ThreadWait','ThreadWaitSignal','ThreadSendSignal','ThreadState',
      'ThreadExecute','ThreadPriority','ThreadResume','KeyPressed',
      'TwainSourceHeight','TwainSourceWidth','TwainListSource','TwainCurrentSource',
      'TwainToBMP','TwainToControl','TwainToGIF','TwainToJPEG','TwainToClipboard','TwainScanZone',
      'VariantConvert','VideoDisplay','VideoStop','VideoCapture','VideoSetDriver',
      'VideoConfigure','VideoStatus','VideoListDriver','xlsNbColumn','xlsNbRow','XMLCancelSearch',
      'XMLLast','XMLData','XMLOut','XMLExtractString','XMLChild','XMLElementName',
      'XMLParentName','XMLPrevious','XMLFirst','XMLRoot','XMLFind','XMLNext',
      'XMLClose','XMLFound','XMLElementType','XMLToText','zipChangePath','zipCreateExe',
      
      'ProfilerStart','ProfilerEnd','AnsiToUnicode','TreeCopyItem','TreeExpandAll','TreeCollapseAll',
      'TreeDeleteChild','Warning','ChangeCharset','ComponentInfo',
      'dInvertColor','dResize','dSaveImagePNG','dHorizontalSymmetry','dVerticalSymmetry',
      'EmailReset','InComponentMode','StreamAccept','StreamConnect','StreamDisconnect',
      'StreamInfo','StreamPlay','StreamReject','StreamStop','fDataDir','grLineThickness',
      'HChangeLocation','iRoundBorder','iLastFile','iParameterPreview',
      'iParameterPDF','MessageAddCell','MessageDeleteCell','OKCancel',
      'OpenPopup','OpenPopupPosition','RegistrySeek','RegistryListValue','RTFAdd',
      'RTFInsert','sEvent','sEndEvent','ArrayAdd','ArraySeek','ArrayCopy','ArrayInfo','ArrayInsert',
      'ArrayDelete','ArrayDeleteAll','ArraySort','tapiLineDial','tapiCompleteTransfer',
      'tapiHold','tapiOrigin','tapiUnhold','tapiBlindTransfer','TwainState','UnicodeToAnsi',
      'MatchRegularExpression','XMLAddAttribute','XMLAddChild','XMLBuildString','XMLExecuteXPath',
      'XMLExtractDocument','XMLInsertDocument','XMLInsertElement','XMLModify','XMLPath',
      'XMLRename','XMLResult','XMLRestorePosition','XMLSavePosition','zipAjouteFileList',
      'TreeInfoXY','Compress','Uncompress','InPocketMode','IsNumeric','HBuildKeyValueANSI',
      'HPrepareSQLQuery',
      /*Windev 9*/
      
      'AutomationEvénement','ChargeParamètre','EnModeJava','EnModePHP','ExécuteFAA','ExeListeDLL',
      'ExeListeProcessus','ExePrioriété','fRepertoireExiste','grParamètre3DS','grSauveParamètre',
      'HActiveFiltreAuto','HAjouteGroupe','HAjouteUtilisateur','HCopieFichier','HDésactiveFiltreAuto',
      'HFinInterditAccèsBaseDeDonnées','HInfoBlocage','HInfoGroupe','HInfoServeur','HInfoUtilisateur',
      'HInterditAccèsBaseDeDonnées','HListeBaseDeDonnées','HListeGroupe','HListeUtilisateur',
      'HListeUtilisateurConnecte','HModifieGroupe','HModifieUtilisateur','HRAZGroupe','HRAZUtilisateur',
      'HRplDéclareLiaison','HRplProcédureFiltre','HStatDate','HStatHeure','HSupprimeFichier',
      'HSupprimeGroupe','HSupprimeUtilisateur','iConfigureEtat','InitParamètre','iParamètreEtat',
      'MCUActif','MCUOuvre','MenuAjoute','SauveParamètre','sCalculeCrc32','SocketConnecteInfraRouge',
      'SocketCréeUDP','URLDécode','URLEncode','XMLFilsExiste','zipMotDePasse','ArbreID',
      
      'AutomationEvent','LoadParameter','InJavaMode','InPHPMode','ExecuteAAF','ExeListDLL',
      'ExeListProcess','ExePrioriete','fDirectoryExist','gr3DSParameter','grSaveParameter',
      'HActivateAutoFilter','HAddGroup','HAddUser','HCopyFile','HDeactivateAutoFilter',
      'HEndNoDatabaseAccess','HInfoLock','HInfoGroup','HInfoServer','HInfoUser','HNoDatabaseAccess',
      'HListDatabase','HListGroup','HListUser','HListConnectedUser','HModifyGroup','HModifyUser',
      'HResetGroup','HResetUser','HRplD','HRplProcedureFiltre','HStatTime',
      'HDeleteFile','HDeleteGroup','HDeleteUser','iConfigureReport','InitParameter','iParameterReport',
      'MCUActive','MCUOpen','MenuAdd','SaveParameter','sComputeCrc32','SocketConnectInfrared',
      'SocketCreateUDP','URLDecode','XMLChildExist','zipPassword','TreeID',
      'gpwOpenConnection','gpwGetFileInfo',
      
      'DotNetRésultatHTTP','DotNetRésultat','DotNetRésultatXML','DotNetTypeBinaireBase64',
      'DotNetTypeBinaireHexa','DotNetTypeBooléen',
      
      /* WINDEV 10 */
      
      'Age','BulleDélai','ceInfoOEM','ceNomMachine','cePlateforme','ChaîneVersUTF8','ChangeFenêtreSource',
      'ChronoDébut','ChronoFin','ChronoValeur','ComposantCharge','ComposantListe','ComposantLocalise',
      'CouleurLuminosité','CouleurSaturation','CouleurTeinte','DateHeureLocaleVersUTC',
      'DateHeureUTCVersLocale','dbgActiveAssertion','dbgAssertion','dbgSortieStandard',
      'Désérialise','Dialogue','dModifieLuminosité','dModifieSaturation','dModifieTeinte',
      'dModifieTSL','DonneFocus','EmailImporteHTML','EnModeAJAX','EnModeEtatsEtRequêtes',
      'ErreurChangeParamètre','ErreurDéclenche','ErreurPropage','ErreurRestaureParamètre',
      'ExceptionChangeParamètre','ExceptionPropage','ExceptionRestaureParamètre',
      'fAttributLectureSeule','FaxBoîteEnvoi','FaxBoîteRéception','FaxRéinitialise','FaxReprend',
      'FaxSupprime','FaxSuspend','fChangeTaille','fDétecteStockageAmovible','FenActiveGFI',
      'FenAdapteTaille','FenAnimationFermeture','FenAnimationOuverture','FenAnimationSuivante',
      'FenEffetInactif','FenTauxGFI','FichierVersMémoire','FinAutomatismeProcédure','fListeRépertoire',
      'fRépertoireExiste','fRepEtatsEtRequêtes','GraveurAjouteFichier','GraveurAjouteRépertoire',
      'GraveurAnnuleGravure','GraveurChemin','GraveurEfface','GraveurEjecte','GraveurEnregistre',
      'GraveurEtat','GraveurInfoCompilation','GraveurInfoMédia','GraveurListe','GraveurNomVolume',
      'GraveurPropriété','GraveurSélectionne','GraveurTypeMédia','grInfoXY','grMAJAutomatiqueEtiquetteCatégorie',
      'grMAJAutomatiqueSérie','grSourceEtiquetteCatégorie','grSourceSérie','grSuperposeGraphe',
      'HDateEnreg','HDéconnecteClient','HEnvoieMessageVersClient','HHistoriqueModification',
      'HRAZClient','HRecréeRéplicaAbonné','HRPLPasse','HSurAppelServeur','HTTPJauge','HVersFichier',
      'ImageInfoFerme','ImageInfoListe','ImageInfoModifie','ImageInfoSauve','ImageInfoValeur',
      'LanceEtatsEtRequêtes','LangueVersAlphabet','LangueVersNation','LangueVersNom','LDAPAjouteAttribut',
      'LDAPConnecte','LDAPDébutAjout','LDAPDébutModification','LDAPDéconnecte','LDAPListeAttribut',
      'LDAPListeFils','LDAPNbValeur','LDAPRAZ','LDAPRecherche','LDAPSupprime','LDAPSupprimeAttribut',
      'LDAPSupprimeValeurAttribut','LDAPValeur','LDAPValideAjout','LDAPValideModification',
      'ListeDLL','MémoireVersFichier','NationVersLangue','NetInfoAccèsDistant','NetListeAccèsDistant',
      'Pâques','PlanificateurAjouteHoraire','PlanificateurAjouteTâche','PlanificateurEtatTâche',
      'PlanificateurListeTâche','PlanificateurModifieHoraire','PlanificateurModifieTâche',
      'PlanificateurOuvrePropriétésTâche','PlanificateurPropriétésHoraire','PlanificateurPropriétésTâche',
      'PlanificateurRAZ','PlanificateurSupprimeHoraire','PlanificateurSupprimeTâche','RTFVersHTML',
      'RVBBleu','RVBRouge','RVBVert','Saisie','Sérialise','TableauAjouteLigne','TableauDéplace',
      'TableauDéplaceLigne','TableauInsèreLigne','TableauOccurrence','TableauSupprimeLigne',
      'Temporisation','TexteVersHTML','ThreadPause','TSL','USBDéconnecte','USBDétecteStockageAmovible',
      'USBListePériphérique','USBPropriété','USBRecherche','UTF8VersChaîne','VariableRAZ',
      'XMLNameSpace','XMLNameSpaceURI','ZoneRépétéeAffiche','ZoneRépétéeAjoute','ZoneRépétéeAjouteLigne',
      'ZoneRépétéeCherche','ZoneRépétéeEnregistre','ZoneRépétéeIndiceRupture','ZoneRépétéeInfoXY',
      'ZoneRépétéeInsère','ZoneRépétéeInsèreLigne','ZoneRépétéeModifie','ZoneRépétéeModifieLigne',
      'ZoneRépétéeNumEnr','ZoneRépétéeOccurrence','ZoneRépétéePosition','ZoneRépétéeSélect',
      'ZoneRépétéeSélectMoins','ZoneRépétéeSelectOccurrence','ZoneRépétéeSelectPlus','ZoneRépétéeSupprime',
      'ZoneRépétéeSupprimeTout','ZoneRépétéeTrie','ZoneRépétéeVersExcel','ZoneRépétéeVersWord',
      
      'ToolTipDelay','ceOEMInfo','ceMachineName','cePlatform','StringToUTF8','ChangeSourceWindow',
      'ChronoStart','ChronoEnd','ChronoValue','ComponentLoad','ComponentList','ComponentLocate',
      'ColorLightness','ColorSaturation','ColorHue','DateTimeLocalToUTC','DateTimeUTCToLocal',
      'dbgEnableAssert','dbgAssert','dbgStandardOutput','Deserialize','Dialog','dModifyLightness',
      'dModifySaturation','dModifyHue','dModifyHSL','SetFocus','EmailImportHTML','InAJAXMode',
      'InReportsAndQueriesMode','ErrorChangeParameter','ErrorThrow','ErrorPropagate','ErrorRestoreParameter',
      'ExceptionChangeParameter','ExceptionPropagate','ExceptionRestoreParameter',
      'fAttributeReadOnly','FaxOutbox','FaxInbox','FaxRestart','FaxResume','FaxDelete',
      'FaxPause','fChangeSize','fDetectRemovableStorage','WinActivateDDW','WinAdaptSize',
      'WinAnimationClosing','WinAnimationOpening','WinAnimationNext','WinInactiveEffect',
      'WinRateDDW','FileToMemory','EndAutomatedProcedure','fListDirectory',
      'fReportsAndQueriesDir','BurnerAddFile','BurnerAddDirectory','BurnerCancel','BurnerPath',
      'BurnerErase','BurnerEject','BurnerSave','BurnerStatus','BurnerCompilationInfo','BurnerMediaInfo',
      'BurnerList','BurnerVolumeName','BurnerProperty','BurnerSelect','BurnerMediaType',
      'grAutoRefreshCategoryLabel','grAutoRefreshSeries','grSourceCategoryLabel',
      'grSourceSeries','grOverlayChart','HRecordDate','HDisconnectClient','HSendMessageToClient',
      'HHistoryModification','HResetClient','HRecreateSubscriberReplica','HRplPass','HOnServerCall',
      'HTTPProgressBar','HToFile','ImageInfoClose','ImageInfoList','ImageInfoModify','ImageInfoSave',
      'ImageInfovalue','RunReportsAndQueries','LanguageToCharset','LanguageToNation','LanguageToName',
      'LDAPAddAttribute','LDAPConnect','LDAPStartAdd','LDAPStartModify','LDAPDisconnect',
      'LDAPListAttribute','LDAPListChildren','LDAPNbValue','LDAPReset','LDAPFind','LDAPDelete',
      'LDAPDeleteAttribute','LDAPDeleteAttributeValue','LDAPValue','LDAPValidateAdd','LDAPValidateModify',
      'ListDLL','MemoryToFile','NationToLanguage','NetInfoRemoteAccess','NetListRemoteAccess',
      'Easter','SchedulerAddTrigger','SchedulerAddTask','SchedulerTaskStatus','SchedulerTaskList',
      'SchedulerModifyTrigger','SchedulerModifyTask','SchedulerOpenTaskProperties','SchedulerTriggerProperties',
      'SchedulerTaskProperties','SchedulerReset','SchedulerDeleteTrigger','SchedulerDeleteTask',
      'RTFToHTML','RGBBlue','RGBRed','RGBGreen','Input','Serialize','ArrayAddLine','ArrayMove',
      'ArrayMoveLine','ArrayInsertLine','ArrayCount','ArrayDeleteLine','Wait','TextToHTML',
      'HSL','USBDisconnect','USBDetectRemovableStorage','USBListDevice','USBProperty',
      'USBFind','UTF8ToString','VariableReset','XMLNamespace','XMLNamespaceURI','LooperDisplay',
      'LooperAdd','LooperAddLine','LooperSeek','LooperSave','LooperBreakSubscript','LooperInfoXY',
      'LooperInsert','LooperInsertLine','LooperModify','LooperModifyLine','LooperRecNum',
      'LooperCount','LooperPosition','LooperSelect','LooperSelectMinus','LooperSelectCount',
      'LooperSelectPlus','LooperDelete','LooperDeleteAll','LooperSort','LooperToExcel',
      'LooperToWord','LooperToXML'
      
      ),
    4 => array(
/*    
      'Etat','CouleurFond','Color','Couleur','MemoryCurrency','DeviseMémoire','DisplayCurrency',
      'DeviseAffichage','Size','Taille','InputMask','MasqueSaisie','ScrollValue','AvanceRapide',
      'DndSource','DndTarget','DndCible','MouseCursor','CurseurSouris','Width','Largeur',
      'Height','Hauteur','PopupMenu','MenuContextuel','Plan','Title','Titre','InitialValue',
      'ValeurInitiale','InitialHeight','HauteurInitiale','InitialWidth','LargeurInitiale',
      'YInitial','XInitial','InitialState','EtatInitial','Cursor','Curseur','Empty','Vide',
      'Occurrence','NewLine','Nouveau','Modified','Modifié','CursorEnd','FinCurseur','State',
      'BrushColor','RubriqueParcourue','BrowsedFile','FichierParcouru','Anchor','Ancrage',
      'DisplayedValue','ValeurAffichée','ReturnedValue','ValeurRenvoyée','FileLink','LiaisonFichier',
      'Password','MotDePasse','RichEdit','VerticalAlignment','CadrageVertical','HorizontalAlignment',
      'CadrageHorizontal','Multiline','Multiligne','DoubleClick','DoubleClic','RightClick',
      'ClicDroit','Plane','ParcoursAuto','Filter','Filtre','InputType','TypeSaisie','Vertical',
      'NoteTitle','TitreNote','Memory','Mémoire','MaxValue','BorneMax','MinValue','BorneMin',
      'BackgroundImageState','ImageFondEtat','BackgroundImage','ImageFond','ImageState',
      'ImageEtat','Image','StoredItem','RubriqueMémorisée','DisplayedItem','RubriqueAffichée',
      'BrowsedItem','Police','Group','Groupe','Animation','ZOrder','Altitude','TABOrder',
      'NumTAB','MemoryFormat','FormatMémorisé','InitialVisible','VisibleInitial','Visible',
      'MaxHeight','HauteurMax','MaxWidth','LargeurMax','MinHeight','HauteurMin','MinWidth',
      'LargeurMin','Sorted','Triée','Alias','InitialContent','ContenuInitial','AutoBrowse',
      'TauxAncrageHauteur','AnchorRateBottom','TauxAncrageBas','AnchorRateWidth','TauxAncrageLargeur',
      'AnchorRateRight','TauxAncrageDroite','Driver','ImageHeight','HauteurImage','ImageWidth',
      'LargeurImage','TriState','TroisEtats','YImage','XImage','ImageMode','Moveable','Déplaçable',
      'Sortable','Triable','InitialAnimation','AnimationInitiale','LineHeight','HauteurLigne',
      'Font','NbEnrLu','NombreColonne','StreamIdentifier','FluxIdentifiant','StreamTimeout',
      'FluxDuréeNonRéponse','StreamAddress','FluxAdresse','StreamDisplay','FluxAffichage',
      'StreamIncomingData','FluxRéception','StreamOutgoingData','FluxEmission','StreamDetection',
      'FluxDétection','StoredValue','ValeurMémorisée','AnchorRateHeight','VSpace','EspaceV',
      'LabelWidth','LargeurEtiquette','LabelHeight','HauteurEtiquette','RightMargin','MargeDroite',
      'LeftMargin','MargeGauche','BottomMargin','MargeBasse','TopMargin','MargeHaute','PageEndStick',
      'BasPageCollé','ViewName','NomVue','NbRecRead','NbPrintedRec','NbEnrImprimé','TotalNbRec',
      'NbEnrTotal','MemZoneName','NomZoneMem','MsgSortSel','MsgTriSel','NbLabelCopy','NbExemplaireEtiquette',
      'NbCopy','NbCopie','SourceName','NomSource','FontUnderline','PoliceSouligne','FontStrikeOut',
      'PoliceBarre','FontItalic','PoliceItalique','FontBold','PoliceGras','FontName','PoliceNom',
      'FontSize','PoliceTaille','NbLabel','NbEtiquette','HSpace','EspaceH','Year','Année',
      'HTML','InternalReportName','NomEtatInterne','HeightInPixel','HauteurPixel','WidthInPixel',
      'LargeurPixel','ODBCDatabaseName','ODBCNomBase','ODBCPassword','ODBCMotDePasse','ODBCUserName',
      'ODBCNomUtilisateur','ODBCConnectionName','ODBCNomConnexion','ODBCSQLCode','ODBCCodeSQL',
      'FutureHeight','HauteurFuture','LabelNumberToStart','NumEtiquetteDeDépart','SelectionOnly',
      'SélectionSeule','Orientation','Angle','StrikeOut','Barré','Underline','Souligné',
      'Italic','Italique','Bold','Gras','Time','PartieHeure','PartieDate','Millisecond',
      'Milliseconde','Second','Seconde','Minute','Hour','Heure','Day','Jour','Month','Mois',
      'NbMemoItem','NbRubriqueMémo','NbKeyItem','NbRubriqueClé','NbItem','NbRubrique','PasswordProtected',
      'ProtégéParMotDePasse','HugeFile','GrosFichier','DescribedDirectory','RépertoireDécrit',
      'DescribedPhysicalName','NomPhysiqueDécrit','DescribedName','NomDécrit','Directory',
      'Répertoire','PhysicalName','NomPhysique','Extended','Etendu','Condensed','Condensé',
      'Indice','AccentuationSensitive','SensibleAccentuation','KeyExpression','FormuleClé',
      'KeyType','TypeClé','DefaultValue','ValeurParDéfaut','NbArrayElement','NbElémentTableau',
      'MmoPackMethod','CompressionMmo','MmoCryptMethod','CryptageMmo','NdxCryptMethod',
      'CryptageNdx','FicCryptMethod','Secure','Sécurisé','LogMethod','Journalisation','Format',
      'RecordSize','TailleEnregistrement','MinLinkedCardinality','CardinalitéReliéeMin',
      'MaxSourceCardinality','CardinalitéSourceMax','MinSourceCardinality','CardinalitéSourceMin',
      'LinkedKey','CléReliée','SourceKey','CléSource','LinkedFile','FichierRelié','SourceFile',
      'FichierSource','CompositeKey','CléComposée','Texte','NbComponent','NbComposante',
      'Subscript','PunctuationSensitive','SensiblePonctuation','CaseSensitive','SensibleCasse',
      'CxUtilisateurDécrit','CtUserName','CxUtilisateur','TextItemCompleted','RubriqueTexteComplétée',
      'Réplication','SortType','TypeTri','Caption','Binary','Abbreviation','Abréviation',
      'Numerical','Numérique','Component','Composante','DeletionRule','RègleSuppression',
      'ModificationRule','RègleModification','MaxLinkedCardinality','CardinalitéReliéeMax',
      'LogFile','FichierJournal','GenerationNumber','NuméroGénération','WDD55Password',
      'MotDePasseWDD55','Name55','Nom55','WDD55','CtDescribedOLEDBProvider','CtOLEDBProvider',
      'CtDescribedAccess','CtAccess','CtDescribedCaption','CtDescribedDataBase','CtDataBase',
      'CtDescribedPassword','CtDescribedUserName','CtExtendedInfo','CtInitialCatalog','CxAccès',
      'CxAcces','CxAccèsDécrit','CxAccesDécrit','CxAccesDecrit','CxBaseDeDonnéesDécrite',
      'CxBaseDeDonneesDécrite','CxBaseDeDonnéesDecrite','CxBaseDeDonneesDecrite','CxBaseDeDonnées',
      'CxInfosEtendues','CxInitialCatalog','CxLibelléDécrit','CxLibelleDécrit','CxLibelléDecrit',
      'CxLibelleDecrit','CxMotDePasseDécrit','CxMotDePasseDecrit','CxOptionsCurseur','CxProviderOLEDBDécrit',
      'CxProviderOLEDBDecrit','CxProviderOLEDB','ReplicationDirectory','RépertoireRéplication',
      'OperationLogDirectory','RépertoireJournalOpération','RépertoireJournalOperation',
      'LogDirectory','RépertoireJournal','InitialFile','FichierOrigine','InitialItem','RubriqueOrigine',
      'TransactionFile','FichierTransaction','Note','PopupMenu','MenuContextuel','Text',
      
      'Abréviation','Abreviation','Année','Binaire','CardinalitéReliéeMax','CardinaliteRelieeMax',
      'CardinalitéReliéeMin','CardinaliteRelieeMin','CardinalitéSourceMax','CardinaliteSourceMax',
      'CardinalitéSourceMin','CardinaliteSourceMin','CléComposée','CleComposee','CléReliée',
      'CleReliee','CléSource','CleSource','Composante','CompressionMMO','Connexion','CryptageFic',
      'CryptageMMO','CryptageNdx','CxAccès','CxAcces','CxAccèsDécrit','CxAccesDécrit','CxBaseDeDonnées',
      'CxBaseDeDonnéesDécrit','CxInfosEtendues','CxInitialCatalog','CxLibelléDécrit','CxMotDePasseDécrit',
      'CxOptionsCurseur','CxProviderOLEDB','CxProviderOLEDBDécrit','CxTailleCache','CxUtilisateur',
      'CxUtilisateurDécrit','Extension','FichierJournal','FichierOrigine','FichierRelié',
      'FichierSource','FichierTransaction','Format','FormuleClé','GrosFichier','Heure',
      'Indice','Jour','Journalisation','LiaisonFichier','Libellé','Libelle','Mémo','Memo',
      'Milliseconde','Minute','Mois','MotDePasseWDD55','NbComposante','NbElémentTableau',
      'NbRubrique','NbRubriqueClé','NbRubriqueCle','NbRubriqueClé','NbRubriqueCle','Nom',
      'Nom55','NomDécrit','NomPhysique','NomPhysiqueDécrit','Numérique','NuméroGénération',
      'PartieDate','PartieHeure','ProtégéParMotDePasse','RègleModification','RègleSuppression',
      'Répertoire','RépertoireDécrit','RépertoireJournal','RépertoireJournalOpération',
      'RépertoireRéplication','Réplication','RubriqueOrigine','RubriqueTexteComplétée',
      'Seconde','Sécurisé','SensibleAccentuation','SensibleCasse','SensiblePonctuation',
      'Taille','TailleEnregistrement','Texte','TypeClé','TypeTri','ValeurParDéfaut',
      'WDD55',
      
      'Adresse','Affichage','AffichageActif','Alphabet','BarreDeMessage','BulleTitre','Classe',
      'Détection','DuréeNonRéponse','Ellipse','Emission','HauteurLigneMax','IDAutoMax',
      'IDAutoMin','Identifiant','MDIBas','MDIDroite','MDIGauche','MDIHaut','Miniature',
      'ModeListeImage','NULL','NULLSupporté','OrientationVerticale','PoliceAlphabet','Réception',
      'RubriqueAffichéeImage','Sélectionnée','TotauxActif','URL','Cochée','ImpressionAChaquePage',
      
      'Abbreviation','Year','Binary','MaxLinkedCardinality','MinLinkedCardinality','MaxSourceCardinality',
      'MinSourceCardinality','CompositeKey','LinkedKey','SourceKey','Component','MmoPackMethod',
      'FicCryptMethod','MmoCryptMethod','NdxCryptMethod','CtAccess','CtDescribedAccess',
      'CtDataBase','CxBaseDeDonneesDecrit','CtExtendedInfo','CtInitialCatalog','CtDescribedCaption',
      'CtDescribedPassword','CtCursorOptions','CtOLEDBProvider','CtDescribedOLEDBProvider',
      'CtUserName','CtDescribedUserName','Extension','LogFile','InitialFile','LinkedFile',
      'SourceFile','TransactionFile','KeyExpression','HugeFile','Hour','Subscript','Day',
      'LogMethod','FileLink','Text','Millisecond','Minute','Month','WDD55Password','NbComponent',
      'NbArrayElement','NbItem','NbKeyItem','NbKeyItem','Name55','DescribedName',
      'PhysicalName','DescribedPhysicalName','Numerical','GenerationNumber','Time','PasswordProtected',
      'ModificationRule','DeletionRule','Directory','DescribedDirectory','LogDirectory',
      'OperationLogDirectory','ReplicationDirectory','Réplication','InitialItem','TextItemCompleted',
      'Second','Secure','AccentuationSensitive','CaseSensitive','PunctuationSensitive',
      'Size','RecordSize','Text','KeyType','SortType','DefaultValue','Address','Display',
      'DisplayEnabled','Charset','StatusBar','ToolTipTitle','Class','Détection','Timeout',
      'Ellipse','OutgoingData','MaxLineHeight','MaxAutoID','MinAutoID','Identifier','MDIBottom',
      'MDIRight','MDILeft','MDITop','Thumbnail','ListViewMode','Null','NullSupported','VerticalOrientation',
      'FontCharset','IncomingData','DisplayedItemImage','Selected','TotalsEnabled','URL',
      'Checked','PageByPagePrint',
      
      //Windev 10
      
      'Accès','BaseDeDonnées','CouleurSérie','Cryptage','DéplaçableParLeFond','Epaisseur',
      'FenêtreSource','HauteurMaxVignette','InfoGénérationVignette','InterfaceModifiableAvecEtatsEtRequêtes',
      'InterprèteEtCommercial','Journalisation','LargeurColonne','LargeurMaxVignette','Légende',
      'MAJAutomatique','ModeSaisie','NbVignette','NbVignetteDécrit','OptionsCurseur','Provider',
      'RépertoireSauvegardeJournal','Serveur','Source','SourceDescription','TailleCache',
      'ToutModifiableAvecEtatsEtRequêtes','Utilisateur','Vignette','VisibleUtilisateurFinal',
      
      'Access','Database','SeriesColor','CryptMethod','MoveableByBackground','Thickness',
      'SourceWindow','MaxThumbnailHeight','InfoThumbnailGeneration','InterfaceModifiableWithReportsAndQueries',
      'InterpretAmpersand','LogMethod','ColumnWidth','MaxThumbnailWidth','Legend','AutoRefresh',
      'InputMode','NbThumbnail','NbDescribedThumbnail','CursorOptions','Provider','LogBackupDirectory',
      'Server','Source','SourceDescription','CacheSize','AllModifiableWithReportsAndQueries',
      'User','Thumbnail','VisibleEndUser'
*/
      ),
    ),
  'SYMBOLS' => array(
        0 => array('(', ')', '{', '}', '[', ']', '<', '>', '=', '+', '-', '*', '/', '%', ',', '~', '&', '.', ':')
    ),
  'SCRIPT' => array(
        0 => array('<OUT>','</OUT>')
    ),
  'CASE_SENSITIVE' => array(
    GESHI_COMMENTS => true,
    1 => false,
    2 => false,
    3 => false,
    4 => false,
    ),
  'STYLES' => array(
    'KEYWORDS' => array(
      1 => 'color: #000000;',
      2 => 'color: #0000A0;',
      3 => 'color: #0000FF;',
      4 => 'color: #000000;'
      ),
    'COMMENTS' => array(
      1 => 'color: #666666;',
      //2 => 'color: #339900;',
      'MULTI' => 'color: #ff0000; font-style: italic;'
      ),
    'ESCAPE_CHAR' => array(
      0 => 'color: #666666;'
      ),
    'BRACKETS' => array(
      0 => 'color: #000000;'
      ),
    'STRINGS' => array(
      0 => 'color: #800080;'
      ),
    'NUMBERS' => array(
      0 => 'color: #800080;'
      ),
    'METHODS' => array(
      1 => 'color: #000000;', /* ..Libellé */
      2 => 'color: #008080;',  /* :Method() */
      3 => '' /* var composée ou WL.Func() */
      ),
    'SYMBOLS' => array(
      0 => 'color: #000000;'
      ),
    'REGEXPS' => array(
      0 => 'color: #800080;', /* Number Hexa */
      1 => 'color: #000000;', /* Type */
      2 => 'color: #000000;', /* Type */
      3 => 'color: #000000;', /* Type */
      4 => 'color: #000000;' /* Type */
      ),
    'SCRIPT' => array(
      0 => 'color: #800000;'
      )
    ),
  'URLS' => array(
      1 => '',
      2 => '',
      3 => '',
      4 => ''
    ),
  'OOLANG' => true,
  'OBJECT_SPLITTERS' => array(
    1 => '..',
    2 => ':',
    3 => '.'
    ),
  'REGEXPS' => array(
    0 => '0x[0-9a-fA-F]{1,10}', /* Number Hexa */
    1 => 'un [a-zA-Z0-9_î]{1,10}',
    2 => 'une [a-zA-Z0-9_î]{1,10}',
    3 => 'objet [a-zA-Z0-9_î]{1,10}',
    4 => 'object [a-zA-Z0-9_î]{1,10}'
    ),
  'STRICT_MODE_APPLIES' => GESHI_MAYBE,
  'SCRIPT_DELIMITERS' => array(
      0 => array("[\n" => "\n]")
    ),
  'HIGHLIGHT_STRICT_BLOCK' => array(
      0 => true
    ),
  'TAB_WIDTH' => 4,
  'PARSER_CONTROL' => array(
        'KEYWORDS' => array(
            'DISALLOWED_BEFORE' => "a-zA-Z0-9éèîàâ\$_\|\#>|^\.",
            'DISALLOWED_AFTER' => "a-zA-Z0-9éèîàâ_<\|%\\-"
        )
  )
);

?>
